import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/stockType',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/stockType/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/stockType',
    method: 'put',
    data
  })
}

export function queryStockTypeAll(data) {
  return request({
    url: 'api/stockType/queryStockTypeAll',
    method: 'get',
    params: { data }
  })
}

export default { add, edit, del, queryStockTypeAll }
